## com.vividsolutions.jts.operation.predicate
Class SegmentIntersectionTester

    java.lang.Object
      com.vividsolutions.jts.operation.predicate.SegmentIntersectionTester

public class SegmentIntersectionTester
extends java.lang.Object

Tests if any line segments in two sets of `CoordinateSequence`s intersect. Optimized for use when at least one input is of small size. Short-circuited to return as soon an intersection is found.

Version:
  1.7

Constructor Summary
`SegmentIntersectionTester()`

Method Summary
`boolean` `hasIntersection(CoordinateSequence seq0, CoordinateSequence seq1)`
`boolean` `hasIntersectionWithLineStrings(CoordinateSequence seq, java.util.List lines)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentIntersectionTester

    public SegmentIntersectionTester()

Method Detail

### hasIntersectionWithLineStrings

    public boolean hasIntersectionWithLineStrings(CoordinateSequence seq,
                                                  java.util.List lines)

### hasIntersection

    public boolean hasIntersection(CoordinateSequence seq0,
                                   CoordinateSequence seq1)